All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::HeatMapSaver Class Reference

`#include <heatMapSaver.hpp>`

Inherits op::FileSaver.

## Public Member Functions

| HeatMapSaver (const std::string &directoryPath, const std::string &imageFormat)
virtual | ~HeatMapSaver ()
void | saveHeatMaps (const std::vector< Array< float >> &heatMaps, const std::string &fileName) const

## Additional Inherited Members

Protected Member Functions inherited from op::FileSaver
| FileSaver (const std::string &directoryPath)
virtual | ~FileSaver ()
std::string | getNextFileName (const unsigned long long index) const
std::string | getNextFileName (const std::string &fileNameNoExtension) const

## Constructor & Destructor Documentation

op::HeatMapSaver::HeatMapSaver | ( | const std::string & | directoryPath,
|  | const std::string & | imageFormat
| ) |  |

virtual op::HeatMapSaver::~HeatMapSaver | ( |  | ) |

virtual

## Member Function Documentation

void op::HeatMapSaver::saveHeatMaps | ( | const std::vector< Array< float >> & | heatMaps,
|  | const std::string & | fileName
| ) |  | const

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/filestream/heatMapSaver.hpp